---
agentTools:
  projectIndex: https://deepnftvalue.readme.io/llms.txt
---

# Token Ids

Returns a list of token ids for a collection.

# OpenAPI definition

```json
{
  "openapi": "3.0.3",
  "info": {
    "title": "DeepNFTValue API",
    "version": "1.1",
    "description": "API for DeepNFTValue."
  },
  "paths": {
    "/tokens/ids/{collection_slug}": {
      "get": {
        "operationId": "Token Ids",
        "description": "Returns a list of token ids for a collection.",
        "summary": "Token Ids",
        "parameters": [
          {
            "in": "path",
            "name": "collection_slug",
            "schema": {
              "type": "string"
            },
            "description": "Filter to a specific collection slug.",
            "required": true,
            "examples": {
              "CryptoPunks": {
                "value": "cryptopunks"
              }
            }
          }
        ],
        "tags": [
          "Tokens"
        ],
        "security": [
          {
            "tokenAuth": []
          }
        ],
        "responses": {
          "200": {
            "content": {
              "application/json": {
                "schema": {
                  "type": "object",
                  "additionalProperties": {},
                  "description": "Unspecified response body"
                }
              }
            },
            "description": ""
          },
          "400": {
            "description": "Bad request"
          },
          "401": {
            "description": "Unauthorized"
          },
          "404": {
            "description": "Not Found"
          }
        }
      }
    }
  },
  "components": {
    "securitySchemes": {
      "tokenAuth": {
        "type": "apiKey",
        "in": "header",
        "name": "Authorization",
        "description": "Token-based authentication with required prefix \"Token\""
      }
    }
  },
  "servers": [
    {
      "url": "https://api.deepnftvalue.com/v1",
      "description": "v1"
    },
    {
      "url": "https://api.deepnftvalue.com/v2",
      "description": "v2"
    }
  ],
  "x-readme": {
    "explorer-enabled": true,
    "proxy-enabled": true
  },
  "_id": {
    "buffer": {
      "0": 99,
      "1": 33,
      "2": 164,
      "3": 205,
      "4": 156,
      "5": 109,
      "6": 31,
      "7": 0,
      "8": 41,
      "9": 181,
      "10": 177,
      "11": 220
    }
  }
}
```